# \nre\coreRequest

Base class to represent a request.

## Summary

Methods
Properties
Constants
getParam()
getParams()
No public properties found
No constants found
No protected methods found
$params
N/A
No private methods found
No private properties found
N/A

File
  core/Request.inc
Package
  Default
Class hierarchy
  \nre\core\Request

## Tags

author | coderkun olli@coderkun.de

## Properties

### $params

    $params : array

Passed parameters

#### Type

array

#

## Tags

None found

## Methods

### getParam()

    getParam(integer  $index, string  $defaultIndex = null) : string

Get a parameter.

#### Parameters

integer | $index | Index of parameter
string | $defaultIndex | Index of default configuration value for this parameter

#### Returns

string —

Value of parameter

#

## Tags

None found

### getParams()

    getParams(integer  $offset) : array

Get all parameters from index on.

#### Parameters

integer | $offset | Offset-index

#### Returns

array —

Parameter values

#

## Tags

None found

### Request.inc